Transcript index
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/transcripts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/transcripts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/transcripts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/transcripts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"cik": "0001045810",
"transcripts": [
{
"id": "258388",
"date": "2026-09-10",
"fiscalQuarter": null,
"fiscalYear": null,
"quarterLabel": "Sep 10, 2026",
"company": "NVIDIA Corporation",
"ticker": "NVDA",
"eventDatetime": "2026-09-10T15:50:00.000Z",
"durationSeconds": 2258,
"hasAudio": false,
"hasVideo": false,
"eventType": "conference_presentation",
"title": "NVIDIA Corporation presents at Goldman Sachs Communacopia + Technology Conference 2026",
"kindLabel": "Conference",
"eventLabel": "Goldman Sachs Communacopia + Technology Conference 2026",
"startTimeLabel": "11:50 AM ET"
},
{
"id": "IRUS-NVDA-20190311-EC",
"date": "2019-03-11",
"fiscalQuarter": 4,
"fiscalYear": 2019,
"quarterLabel": "Q4 2019",
"company": "NVIDIA CORP",
"ticker": "NVDA",
"eventDatetime": "2019-03-11T00:00:00",
"durationSeconds": null,
"hasAudio": false,
"hasVideo": false,
"eventType": "earnings",
"title": "NVIDIA CORP - FY 2019 Earnings Call",
"kindLabel": null,
"eventLabel": null,
"startTimeLabel": null
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Transcripts & Calls
Transcript index
Earnings-call transcript index.
GET
/
api
/
v1
/
companies
/
{id}
/
transcripts
Transcript index
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/transcripts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/transcripts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/transcripts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/transcripts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"cik": "0001045810",
"transcripts": [
{
"id": "258388",
"date": "2026-09-10",
"fiscalQuarter": null,
"fiscalYear": null,
"quarterLabel": "Sep 10, 2026",
"company": "NVIDIA Corporation",
"ticker": "NVDA",
"eventDatetime": "2026-09-10T15:50:00.000Z",
"durationSeconds": 2258,
"hasAudio": false,
"hasVideo": false,
"eventType": "conference_presentation",
"title": "NVIDIA Corporation presents at Goldman Sachs Communacopia + Technology Conference 2026",
"kindLabel": "Conference",
"eventLabel": "Goldman Sachs Communacopia + Technology Conference 2026",
"startTimeLabel": "11:50 AM ET"
},
{
"id": "IRUS-NVDA-20190311-EC",
"date": "2019-03-11",
"fiscalQuarter": 4,
"fiscalYear": 2019,
"quarterLabel": "Q4 2019",
"company": "NVIDIA CORP",
"ticker": "NVDA",
"eventDatetime": "2019-03-11T00:00:00",
"durationSeconds": null,
"hasAudio": false,
"hasVideo": false,
"eventType": "earnings",
"title": "NVIDIA CORP - FY 2019 Earnings Call",
"kindLabel": null,
"eventLabel": null,
"startTimeLabel": null
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA), numeric SEC CIK (zero-padding optional), or the platform key of a non-SEC issuer (e.g. XSAU000001 — the cik field of the company payload). A bare ticker always resolves to the SEC registrant.